# Darknet Diaries LLM
## What is Darknet Diaries?
Well, let's ask our LLM:

> What is Darknet Diaries?
>> Darknet Diaries is a podcast that explores true stories from the dark side of the internet. Hosted by Jack Rhysider, each episode delves into various topics related to hacking, cybercrime, and the underground world of the internet. The podcast features interviews with individuals who have been involved in hacking incidents, cyber espionage, or have experienced the consequences of online criminal activities. Darknet Diaries aims to educate and entertain listeners by providing an in-depth look into the fascinating and often mysterious world of the darknet.

[darknetdiaries.com](http://darknetdiaries.com/)

## How to run
### Install dependencies
I have no idea what the correct way to install dependencies with python is. Somehow install these libraries and their dependencies:
- llama_index
- beautifulsoup4
### Execution
Download transcripts:
```shell
python3 download_transcripts.py
```

Set OpenAPI key as environment variable
```shell
OPEN_API_KEY=<your key>
```

Then run the main file
```shell
python3 main.py
```

On the first run, it will generate the index. This can take a while, but it will be cached on disk for the next runs.

You can then ask it any questions about Darknet Diaries! Currently, it does hallucinate a lot about episode numbers and titles. Other than that, it's pretty accurate!

## Examples

> What is the intro of the podcast?
>> Typically, the host Jack Rhysider starts the podcast with a brief introduction about the episode's topic, followed by "These are true stories from the dark side of the internet. I'm Jack Rhysider. This is Darknet Diaries." Please note that the exact wording may vary from episode to episode.

(this is exactly the intro)

### Episode 137: Predator
[link to transcript](https://darknetdiaries.com/transcript/137/)

> What is the spyware predator ?
>> The Predator is a type of spyware that is capable of infecting a phone and erasing its tracks of the infection process. Once installed, it can watch what's going on with the camera, listen in on the microphone, scrape passwords, read texts, and report the person's location. It is typically delivered through a phishing text message that encourages the recipient to click on a link, triggering a series of exploits on the phone. The Predator spyware is supposedly only sold to intelligence agencies.
>
> What happened with predator and the egyptian journalists?
>> Predator spyware was found on the phones of an Egyptian politician living in exile and an Egyptian journalist. This led to the suspicion that the Egyptian government might be using this technology to spy on their civil society. The use of the spyware was not to stop terrorists or catch criminals, but seemingly to monitor the stories the journalist was working on, which was considered a misuse of the technology.
>
> How and when was Predator first discovered?
>> The Predator spyware was found on the phones of three people in Greece's civil society, including a journalist and an opposition leader. However, the specific timeline or details about the initial discovery are not provided.
>
>Which episode should I listen to in order to learn more about this topic?
>> To learn more about the Predator spyware, you should listen to episode 137 titled "Predator" from the Darknet Diaries.

### Episode 130: Jason's Pen Test
[link to transcript](https://darknetdiaries.com/transcript/130/)
> Who is jason haddix
>> Jason Haddix is a well-known figure in the cybersecurity industry. He has held various roles in the field, including Director of Technical Operations at Bugcrowd and Head of Trust and Security at HackerOne. Haddix is particularly known for his expertise in bug bounty programs and penetration testing. He has also contributed to the cybersecurity community by developing methodologies and tools for security testing.
>
> in which episode is he featured
>> Jason Haddix is featured in Episode 130, titled "Jason's Pen Test".
>
> Can you summarize that episode
>> Episode 130, titled "Jason's Pen Test," features a professional penetration tester named Jason who worked for HP. Jason shares his experiences conducting hundreds of penetration tests for Fortune 500 companies, primarily focusing on network hacking. He explains the process of testing a company's security measures, both physically and digitally.
>>
>>One of his memorable stories involves a physical penetration test where he had to break into a former employer's building. He used his knowledge of the building's layout and security mechanisms to gain access, even falling through a ceiling into a server room at one point.
>>
>>The episode also covers a project where Jason was tasked with hacking into a large, worldwide bank. His job was to examine the bank's mobile app for any potential security vulnerabilities that could expose customer or sensitive information. The episode provides a detailed look into the world of penetration testing, highlighting the importance of robust security measures in both physical and digital spaces.